#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/arts/gui/kde
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/midi
  ${CMAKE_BINARY_DIR}/arts/modules
  ${CMAKE_BINARY_DIR}/arts/modules/common
  ${CMAKE_BINARY_DIR}/arts/modules/effects
  ${CMAKE_BINARY_DIR}/arts/modules/mixers
  ${CMAKE_BINARY_DIR}/arts/modules/synth
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### artscontrolsupport (library) ##############

tde_add_library( artscontrolsupport SHARED AUTOMOC
  SOURCES
    templateview.cpp artsactions.cpp
    audiomanager.cpp choosebusdlg.cpp
    midimanagerview.cpp midimanagerdlg.ui midimanagerwidget.ui
    midiportdlg.cpp midiinstdlg.cpp environmentview.cpp
    fftscopeview.cpp mediatypesview.cpp statusview.cpp
  VERSION 1.0.0
  LINK
    DCOP-shared tdecore-shared tdeui-shared artskde-shared
    mcop qtmcop artsflow artsflow_idl soundserver_idl
    artsgui_idl-shared artsgui_kde-shared artsmodules-shared
    artsmoduleseffects-shared artsmodulessynth-shared artsmodulescommon-shared
    artsmidi-shared artsmidi_idl-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### artscontrolapplet (library) ###############

tde_add_library( artscontrolapplet SHARED AUTOMOC
  SOURCES artscontrolapplet.cpp
  VERSION 1.0.0
  LINK
    DCOP-shared tdecore-shared tdeui-shared artskde-shared
    mcop qtmcop artsflow artsflow_idl soundserver_idl
    artsgui_idl-shared artsgui_kde-shared
    artsmoduleseffects-shared artsmodulessynth-shared artsmodulescommon-shared
    artsmidi-shared artsmidi_idl-shared
    artscontrolsupport-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### artscontrol (executable) ##################

tde_add_executable( artscontrol AUTOMOC
  SOURCES
    main.cpp levelmeters.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdeio-shared artskde-shared
    mcop qtmcop artsflow artsflow_idl soundserver_idl
    artsgui_idl-shared artsgui_kde-shared
    artsmoduleseffects-shared artsmodulessynth-shared artsmodulescommon-shared
    artsmidi-shared artsmidi_idl-shared
    artscontrolsupport-shared
  DEPENDENCIES arts_builder_headers
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES artscontrol.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
  FILES artscontrolapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

install(
  FILES artscontrol.rc artsmidimanagerview.rc
  DESTINATION ${DATA_INSTALL_DIR}/artscontrol
)
